#include	"Collision.h"

bool mgcCollision::fBoxBox( mgcBox obj1, mgcBox obj2, c_vector3d &vCol )
{
	c_vector3d	vDel = obj1.vPos - obj2.vPos;

	if( ( fabs( vDel.x ) * 2.0f ) > ( obj1.vSiz.x + obj2.vSiz.x ) ||
		( fabs( vDel.y ) * 2.0f ) > ( obj1.vSiz.y + obj2.vSiz.y ) ||
		( fabs( vDel.z ) * 2.0f ) > ( obj1.vSiz.z + obj2.vSiz.z ) )
	{
		return false;
	}
	
	vCol.x = ( ( obj1.vSiz.x + obj2.vSiz.x ) - fabs( vDel.x * 2.0f ) ) / 2.0f;
	vCol.z = ( ( obj1.vSiz.z + obj2.vSiz.z ) - fabs( vDel.z * 2.0f ) ) / 2.0f;

	if( fabs( vCol.x ) < fabs( vCol.z ) )
	{
		if( vDel.x < 0.0f )
			vCol.x *= - 1.0f;

		vCol.z = 0.0f;

		return true;
	}
	
	if( fabs( vCol.z ) < fabs( vCol.x ) )
	{
		if( vDel.z < 0.0f )
			vCol.z *= - 1.0f;

		vCol.x = 0.0f;

		return true;
	}
}