#include	"Font.h"

void mgcFont::fPrint( float fX, float fY, float fZ, char *chText,... )
{
	char	tchText[ 256 ];
	va_list	lst;

	va_start( lst, chText );
		vsprintf( tchText, chText, lst );
	va_end( lst );

	glListBase( uiText );

	glRasterPos3f( fX, fY, fZ );
	glCallLists( strlen( tchText ), GL_UNSIGNED_BYTE, tchText );
}

void mgcFont::fBuild( char *chName, int iWidth, int iHeight )
{
	HFONT	fnt;

	uiText = glGenLists( 256 );

	fnt = CreateFont( iHeight, iWidth, 0, 0, FW_BOLD, 0, 0, 0, 0, 0, 0, 0, 0, chName );

	SelectObject( hDc, fnt );
	wglUseFontBitmaps( hDc, 0, 256, uiText );
}

void mgcFont::fInit( HDC hDc )
{
	this->hDc = hDc;
}