#include	"Player.h"

void mgcPlayer::fUpdate( void )
{
	vDir.VecSet( 1.0f, 0.0f, 0.0f );
	vDir.VecRotateY( fAngle );

	box.vPos = vPos;
	box.vSiz.x = 1.0f;
	box.vSiz.y = 5.0f;
	box.vSiz.z = 1.0f;

	fRender();
}

void mgcPlayer::fRender( void )
{
	// Render player as 3d model in later
	glDisable( GL_TEXTURE_2D );

	glBegin( GL_LINES );
		glColor4f( 1.0f, 0.0f, 0.0f, 1.0f );

		glVertex3f( vPos.x, vPos.y - 1.0f, vPos.z );
		glVertex3f( vPos.x + vDir.x, vPos.y + vDir.y - 1.0f, vPos.z + vDir.z );
	glEnd();
}

void mgcPlayer::fRenderBox( void )
{
	geom.gDrawBox( box );
}