#include		<windows.h>

#include		<stdio.h>
#include		<conio.h>

typedef struct	_strcJoint
{
	float		xp, yp, zp;
	float		xr, yr, zr;
}				strcJoint;

void FileSkipQuotes( FILE * inpfile )
{
	int		iQuotes = 0;
	char	chChar;

	while( iQuotes < 2 )
	{
		chChar = 0;

		fread( &chChar, 1, 1, inpfile );

		if( chChar == '"' )
		{
			iQuotes ++;
		}
	}
}

int main()
{
	FILE	* inpfile;
	char	chFileName[ 256 ];

	printf( "Enters SMD file -> " );
	scanf( "%s", chFileName );

	inpfile = fopen( chFileName, "r" );

	if( inpfile )
	{
		FILE		* resfile;
		char		chLine[ 256 ];
		strcJoint	joiData;
		int			iCountJoints = 0;
		int			iCountFrames = 0;
		int			i, j;

		resfile = fopen( "result.txt", "w" );

		while( !feof( inpfile ) )
		{
			memset( &chLine, 0, 256 );
			fscanf( inpfile, "%s", &chLine );

			if( !strcmp( chLine, "nodes" ) )
			{
				while( strcmp( chLine, "end" ) )
				{
					fscanf( inpfile, "%s", &chLine );

					if( !strcmp( chLine, "end" ) )
					{
						continue;
					}

					FileSkipQuotes( inpfile );
					fscanf( inpfile, "%s", &chLine );

					iCountJoints ++;
				}
			}

			if( !strcmp( chLine, "time" ) )
			{
				iCountFrames ++;
			}
		}

		fseek( inpfile, 0, SEEK_SET ); 

		fprintf( resfile, "%i\n", iCountJoints );
		fprintf( resfile, "%i\n", iCountFrames );

		while( !feof( inpfile ) )
		{
			memset( &chLine, 0, 256 );
			fscanf( inpfile, "%s", &chLine );

			if( !strcmp( chLine, "skeleton" ) )
			{
				for( i = 0; i < iCountFrames; i ++ )
				{
					fscanf( inpfile, "%s %s", &chLine, &chLine );

					for( j = 0; j < iCountJoints; j ++ )
					{
						fscanf( inpfile, "%i", &chLine );

						fscanf( inpfile, "%f %f %f %f %f %f", 
							&joiData.xp, &joiData.yp, &joiData.zp,
							&joiData.xr, &joiData.yr, &joiData.zr );

						fprintf( resfile, "%f %f %f %f %f %f\n", 
							joiData.xp, joiData.yp, joiData.zp,
							joiData.xr, joiData.yr, joiData.zr );
					}
				}
			}
		}

		fclose( resfile );
		fclose( inpfile );
	}

	return 0;
}