#include	"Sprite.h"

#include	<stdio.h>

void mgcSprite::fDraw( void )
{
	if( bBlend )
	{
		glEnable( GL_BLEND );
		glBlendFunc( GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA );
	}

	if( bTexture )
	{
		glEnable( GL_TEXTURE_2D );

		tex.tCall();
	}

	glBegin( GL_QUADS );
		glColor4fv( col );

		glTexCoord2f( 0.0f, 0.0f );
		glVertex3f( vPos[ 0 ].x, vPos[ 0 ].y, vPos[ 0 ].z );
		glTexCoord2f( 0.0f, 1.0f );
		glVertex3f( vPos[ 0 ].x, vPos[ 1 ].y, vPos[ 0 ].z );
		glTexCoord2f( 1.0f, 1.0f );
		glVertex3f( vPos[ 1 ].x, vPos[ 1 ].y, vPos[ 0 ].z );
		glTexCoord2f( 1.0f, 0.0f );
		glVertex3f( vPos[ 1 ].x, vPos[ 0 ].y, vPos[ 0 ].z );
	glEnd();

	if( bTexture )
	{
		glDisable( GL_TEXTURE_2D );
	}

	if( bBlend )
	{
		glDisable( GL_BLEND );
	}
}