#ifndef		_3DSMODEL_H
#define		_3DSMODEL_H

#include	<windows.h>

#include	<gl/gl.h>

#include	<fstream.h>
#include	<stdio.h>

#include	"Vector.h"
#include	"Texture.h"
#include	"3DSType.h"

#define		ID_VERTEX_3DS		0x4110
#define		ID_TRIANGLE_3DS		0x4120
#define		ID_TEXCOORD_3DS		0x4140

// Materials
#define		ID_MATERIAL_3DS		0xAFFF
#define		ID_MATNAME_3DS		0xA000
#define		ID_MAPFILE_3DS		0xA300
#define		ID_FACEMAT_3DS		0x4130

class	mgc3DSModel
{

public:

	USHORT	usCountVer;
	USHORT	usCountTri;
	USHORT	usCountCor;

	c_vector3d	* vec;
	c_vector2d	* cor;
	mgcIndex3i	* ind;

	mgcMaterial	mat[ 4 ];
	int			iCountMaterials;
	int			iCountTextures;

	bool	fLoad3DS	( char *chFileName );
	void	fRender		( void );

			mgc3DSModel	( void );
	~		mgc3DSModel	( void );

private:

};

#endif		// _3DSMODEL