#ifndef		_PLAYER_H
#define		_PLAYER_H

#include	"Box.h"
#include	"Geometry.h"

class	mgcPlayer
{

public:

	mgcBox		box;	// Bounding box
	mgcGeometry	geom;	// For render geometry

	float		fAngle;	// Angle of player
	float		fSpeed;	// Speed of player

	c_vector3d	vDir;	// Direction
	c_vector3d	vPos;	// Position

	char		chKey	[ 256 ];	// Keys

	void		fUpdate	( void );	// Main function
	void		fRender	( void );	// Render function
	void		fRenderBox	( void );

private:

};

#endif		// _PLAYER_H