#include	"Texture.h"

void mgcTexture::tCall( void )
{
	glBindTexture( GL_TEXTURE_2D, uTex );
}

void mgcTexture::tLoadBMP( char *chName )
{
	AUX_RGBImageRec	*auxBMP = auxDIBImageLoad( chName );

	glGenTextures( 1, &uTex );
	glBindTexture( GL_TEXTURE_2D, uTex );

	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR );
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR );

	glTexImage2D( GL_TEXTURE_2D, 0, GL_RGB, auxBMP->sizeX, auxBMP->sizeY, 0, GL_RGB, GL_UNSIGNED_BYTE, auxBMP->data );
}

void mgcTexture::tLoadBMPA( char *chName )
{
	AUX_RGBImageRec	*auxBMP = auxDIBImageLoad( chName );
	unsigned char	*data = new unsigned char[ auxBMP->sizeX * auxBMP->sizeY * 4 ];

	glGenTextures( 1, &uTex );
	glBindTexture( GL_TEXTURE_2D, uTex );

	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR );
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR );

	for( int j = 0; j < auxBMP->sizeY; j ++ )
		for( int i = 0; i < auxBMP->sizeX; i ++ )
		{
			data[ ( j * auxBMP->sizeX + i ) * 4 + 0 ] = auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 0 ];
			data[ ( j * auxBMP->sizeX + i ) * 4 + 1 ] = auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 1 ];
			data[ ( j * auxBMP->sizeX + i ) * 4 + 2 ] = auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 2 ];
		
			if( ( auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 0 ] + 
				  auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 1 ] + 
				  auxBMP->data[ ( j * auxBMP->sizeX + i ) * 3 + 2 ] ) < 50 * 3 )
			{
				data[ ( j * auxBMP->sizeX + i ) * 4 + 3 ] = 0;
			}
			else
				data[ ( j * auxBMP->sizeX + i ) * 4 + 3 ] = 255;
		}

	glTexImage2D( GL_TEXTURE_2D, 0, GL_RGBA, auxBMP->sizeX, auxBMP->sizeY, 0, GL_RGBA, GL_UNSIGNED_BYTE, data );

	delete [] data;
}